VIEWVC-STANDALONE(1)

NAME
viewvc-standalone - run a simple stand-alone HTTP server for ViewVC

SYNOPSIS
viewvc-standalone [options]

DESCRIPTION
Run a simple, standalone HTTP server configured to serve up ViewVC requests.

OPTIONS

-c, --config-file=PATH
    Use the file at PATH as the ViewVC configuration file. If not specified, ViewVC will try to use the configuration file in its installation tree; otherwise, built-in default values are used. This option is not valid in GUI mode.

-d, --daemon
    Background the server process.

-h, --host=HOST
    Start the server listening on HOST. You need to provide the hostname if you want to access the standalone server from a remote machine. The default is localhost.

-p, --port=PORT
    Start the server on the given PORT. The default is 49152.

-r, --repository=PATH
    Serve up the Subversion or CVS repository located at PATH. This option may be used more than once.

-s, --script-alias=PATH
    Specify the ScriptAlias, the artificial path location that at which ViewVC appears to be located. For example, if your ScriptAlias is cgi-bin/viewvc, then ViewVC will be accessible at http://localhost:49152/cgi-bin/viewvc. The default is viewvc.

-g, --gui
    Pop up a graphical interface for serving and testing ViewVC. Note: this requires a valid X11 display connection.

FILES
/etc/viewvc/viewvc.conf

SEE ALSO
ViewVC web site, http://www.viewvc.org/.

AUTHORS
viewvc-standalone was written by the ViewVC Group. A complete list of authors may be obtained at http://www.viewvc.org/.

This manual page was written by John Zaitseff <J.Zaitseff@zap.org.au> for the Debian project. It is distributed under the GNU General Public License, version 2 or later, and may be used under that licence by others.